import { ElementRef, OnInit } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { MatListOption, MatSelectionList } from '@angular/material/list';
import { MatTableDataSource } from '@angular/material/table';
import { Group } from '@cleavelandprice/ngx-lib/active-directory';
import { PhotoItem } from '@cleavelandprice/ngx-lib/sharepoint';
import { SelectableGroup } from '../../model/selectable-group';
import { SelectableUser } from '../../model/selectable-user';
import { UserChooserMode } from '../../model/user-chooser-mode';
import * as i0 from "@angular/core";
export declare class UserChooserComponent implements OnInit {
    #private;
    _data: {
        closeWhenSelectionMade: boolean;
        includeDisabledUsers: boolean;
        parentOu?: string | undefined;
        returnUserObjects: boolean;
        showGroupMembershipTooltips: boolean;
        showPhone: boolean;
        title: string;
        mode: UserChooserMode;
        filterOptions: import("@cleavelandprice/ngx-lib/active-directory/material").UserChooserFilterOptions;
        exclusions: import("@cleavelandprice/ngx-lib/active-directory/material").UserChooserPreProcessingGroup;
        inclusions: import("@cleavelandprice/ngx-lib/active-directory/material").UserChooserPreProcessingGroup;
        preSelections: import("@cleavelandprice/ngx-lib/active-directory/material").UserChooserPreProcessingGroup;
        users?: import("@cleavelandprice/ngx-lib/active-directory").User[] | undefined;
        groups?: Group[] | undefined;
        photos?: PhotoItem[] | undefined;
        selectableGroupNames?: string[] | undefined;
    };
    selectionList: import("@angular/core").Signal<MatSelectionList | undefined>;
    set filterInput(elRef: ElementRef<HTMLInputElement>);
    filterForm: FormGroup<{
        filter: FormControl<any>;
    }>;
    dataSource?: MatTableDataSource<SelectableUser | SelectableGroup>;
    photos?: PhotoItem[];
    groups?: Group[];
    get isMultiMode(): boolean;
    get selectedOptions(): MatListOption[];
    get selectedUsers(): (SelectableUser | SelectableGroup)[];
    get filterValue(): string;
    get adGroupsNeeded(): boolean;
    ngOnInit(): void;
    listSelectionChanged(options: MatListOption[]): void;
    optionSelectionChanged(option: MatListOption): void;
    hideUnselectedChanged(selected: boolean): void;
    selectAll(): void;
    deselectAll(): void;
    isUser(userOrGroup: SelectableUser | SelectableGroup): boolean;
    castUser(userOrGroup: SelectableUser | SelectableGroup): SelectableUser;
    close(): void;
    getPhoto(user: SelectableUser | SelectableGroup): string | undefined;
    tooltip(user: SelectableUser | SelectableGroup): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserChooserComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserChooserComponent, "ng-component", never, {}, {}, never, never, true, never>;
}
