import * as i0 from '@angular/core';
import { InjectionToken, Optional, Inject, inject, Injectable, NgModule, SkipSelf } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { __decorate, __param } from 'tslib';

const NgxLibServiceOptionsToken = new InjectionToken('');

let NgxLibServiceBase = class NgxLibServiceBase {
    #useSsl;
    #apiUrl;
    get apiUrl() {
        return this.#apiUrl ? this.#apiUrl :
            this.#useSsl ?
                'https://utilityapi.cleavelandprice.com' :
                'http://utilityapi';
    }
    set apiUrl(value) {
        this.#apiUrl = value;
    }
    constructor(options) {
        this.#useSsl = options?.useSsl === undefined ? true : options.useSsl;
        this.#apiUrl = options?.apiUrl;
    }
};
NgxLibServiceBase = __decorate([
    __param(0, Optional()),
    __param(0, Inject(NgxLibServiceOptionsToken))
], NgxLibServiceBase);

class AppPathConfigService extends NgxLibServiceBase {
    #services = {
        http: inject(HttpClient)
    };
    #url; // = `${this.#config.apiUrl}/apppathconfigs`;
    constructor(options) {
        super(options);
        this.#url = `${this.apiUrl}/apppathconfigs`;
    }
    getAll() {
        return this.#services.http.get(this.#url);
    }
    getById(id) {
        return this.#services.http.get(`${this.#url}/${id}`);
    }
    getByAppId(id) {
        return this.#services.http.get(`${this.#url}/appid/${id}`);
    }
    getByApp(name) {
        return this.#services.http.get(`${this.#url}/app/${name}`);
    }
    getByAppTypeId(id) {
        return this.#services.http.get(`${this.#url}/apptypeid/${id}`);
    }
    getByAppType(name) {
        return this.#services.http.get(`${this.#url}/apptype/${name}`);
    }
    getByAppFunction(name) {
        return this.#services.http.get(`${this.#url}/function/${name}`);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: AppPathConfigService, deps: [{ token: NgxLibServiceOptionsToken, optional: true }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: AppPathConfigService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: AppPathConfigService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [NgxLibServiceOptionsToken]
                }] }] });

class NgxLibModule {
    static forRoot(options) {
        return {
            ngModule: NgxLibModule,
            providers: [
                {
                    provide: NgxLibServiceOptionsToken,
                    useValue: options
                }
            ]
        };
    }
    constructor(parentModule) {
        if (parentModule) {
            throw new Error('NgxLibModule is already loaded. Import it in the AppModule only');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: NgxLibModule, deps: [{ token: NgxLibModule, optional: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.5", ngImport: i0, type: NgxLibModule }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: NgxLibModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.5", ngImport: i0, type: NgxLibModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    imports: [],
                    exports: []
                }]
        }], ctorParameters: () => [{ type: NgxLibModule, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }] });

/*
 * Public API Surface of ngx-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AppPathConfigService, NgxLibModule, NgxLibServiceBase, NgxLibServiceOptionsToken };
//# sourceMappingURL=cleavelandprice-ngx-lib.mjs.map
