import { Attendee } from "./attendee";
import { OnlineMeetingInfo } from "./online-meeting-info";
import { Location } from './location';
import { PatternedRecurrence } from "./patterned-recurrence";
import { Recipient } from "./recipient";
import { ResponseStatus } from "./response-status";
export interface CalendarEvent {
    attendees: Attendee[];
    body: {
        content: string;
        contentType: number;
    };
    bodyPreview: string;
    categories: string[];
    changeKey: string;
    createdDateTime: string;
    end: string;
    hasAttachments: boolean;
    hideAttendees: boolean;
    id: string;
    importance: number;
    isAllDay: boolean;
    isCancelled: boolean;
    isDraft: boolean;
    isOnlineMeeting: boolean;
    isOrganizer: boolean;
    isReminderOn: boolean;
    lastModifiedDateDate: string;
    location: Location;
    locations: Location[];
    onlineMeeting: OnlineMeetingInfo;
    onlineMeetingProvider: number;
    onlineMeetingUrl: string;
    organizer: Recipient;
    originalEndTimeZone: string;
    originalStart: string;
    originalStartTimeZone: string;
    recurrence: PatternedRecurrence;
    reminderMinutesBeforeStart: number;
    responseRequested: boolean;
    responseStatus: ResponseStatus;
    sensitivity: string;
    seriesMasterId: string;
    showAs: string;
    start: string;
    subject: string;
    transactionId: string;
    type: string;
    webLink: string;
    isHappeningNow: boolean;
    isToday: boolean;
    spansMultipleDays: boolean;
}
