import { OnInit } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import { Blur, ContentChange, EditorChangeContent, EditorChangeSelection, Focus, QuillEditorComponent, SelectionChange } from 'ngx-quill';
import { Config } from '../../model/config';
import * as i0 from "@angular/core";
export declare class EditorComponent implements OnInit, ControlValueAccessor {
    #private;
    editor: import("@angular/core").Signal<QuillEditorComponent | undefined>;
    value: any;
    onChange: (_: any) => void;
    onTouched: () => void;
    config?: Config;
    placeholder?: string;
    format: 'object' | 'html' | 'text' | 'json';
    height: string;
    width: string;
    fullscreenHeight: string;
    fullscreenWidth: string;
    fullscreenMode: 'expand' | 'popout';
    enableTooltips?: boolean;
    fullscreen?: boolean;
    readonly?: boolean;
    applyReadonlyStyle?: boolean;
    showToolbar?: boolean;
    showBorder?: boolean;
    imageResizeModule?: boolean;
    imageDropModule?: boolean;
    syntaxModule?: boolean;
    fullscreenChanged: import("@angular/core").OutputEmitterRef<boolean>;
    onBlur: import("@angular/core").OutputEmitterRef<Blur>;
    onContentChanged: import("@angular/core").OutputEmitterRef<ContentChange>;
    onEditorChanged: import("@angular/core").OutputEmitterRef<EditorChangeContent | EditorChangeSelection>;
    onEditorCreated: import("@angular/core").OutputEmitterRef<void>;
    onFocus: import("@angular/core").OutputEmitterRef<Focus>;
    onSelectionChanged: import("@angular/core").OutputEmitterRef<SelectionChange>;
    ngOnInit(): void;
    initialize(): void;
    toggleFullscreen(): void;
    rawEdit(): void;
    tooltip(val: string): string;
    get modules(): {};
    updateChanges(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorComponent, "cpquill-editor", never, { "config": { "alias": "config"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "format": { "alias": "format"; "required": false; }; "height": { "alias": "height"; "required": false; }; "width": { "alias": "width"; "required": false; }; "fullscreenHeight": { "alias": "fullscreenHeight"; "required": false; }; "fullscreenWidth": { "alias": "fullscreenWidth"; "required": false; }; "fullscreenMode": { "alias": "fullscreenMode"; "required": false; }; "enableTooltips": { "alias": "enableTooltips"; "required": false; }; "fullscreen": { "alias": "fullscreen"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "applyReadonlyStyle": { "alias": "applyReadonlyStyle"; "required": false; }; "showToolbar": { "alias": "showToolbar"; "required": false; }; "showBorder": { "alias": "showBorder"; "required": false; }; "imageResizeModule": { "alias": "imageResizeModule"; "required": false; }; "imageDropModule": { "alias": "imageDropModule"; "required": false; }; "syntaxModule": { "alias": "syntaxModule"; "required": false; }; }, { "fullscreenChanged": "fullscreenChanged"; "onBlur": "onBlur"; "onContentChanged": "onContentChanged"; "onEditorChanged": "onEditorChanged"; "onEditorCreated": "onEditorCreated"; "onFocus": "onFocus"; "onSelectionChanged": "onSelectionChanged"; }, never, never, true, never>;
}
