import { Observable } from 'rxjs';
import { NgxLibServiceBase } from '@cleavelandprice/ngx-lib';
import { DatabaseFileInfo } from '../model/database-file-info';
import { FileUploadRequest } from '../model/file-upload-request';
import { FilesystemFileInfo } from '../model/filesystem-file-info';
import { UploadServiceOptions } from '../model/upload-service-options';
import { UploadStatus } from '../model/upload-status';
import * as i0 from "@angular/core";
export declare class UploadService extends NgxLibServiceBase {
    #private;
    options: UploadServiceOptions;
    constructor(options: UploadServiceOptions);
    upload(files: Set<File>): UploadStatus;
    exists(fileName: string): Observable<boolean>;
    download(request: FileUploadRequest): Observable<Blob>;
    getUploadInfo(request: FileUploadRequest): Observable<DatabaseFileInfo | DatabaseFileInfo[] | FilesystemFileInfo | FilesystemFileInfo[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadService, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UploadService>;
}
